package be.ulb.db;

import java.nio.*;

public class ByteBufferUtils {
    /**
     * Reset the given buffer at its initial position and to the specified
     * capacity
     */
    public static ByteBuffer resetBuffer(ByteBuffer buffer, int position, int capacity) {
        resetBuffer(buffer);
        buffer.limit(capacity);
        buffer.position(position);
        return buffer;
    }

    /**
     * Reset the given buffer at its initial position and to the specified
     * capacity
     */
    public static ByteBuffer resetBuffer(ByteBuffer buffer, int capacity) {
        buffer.limit(capacity);
        buffer.rewind();
        return buffer;
    }

    /**
     * Reset the given buffer at its initial position and its capacity as the
     * limit
     */
    public static ByteBuffer resetBuffer(ByteBuffer buffer) {
        resetBuffer(buffer, buffer.capacity());
        return buffer;
    }
}
