/*-------------------------------------------------------------------
   Authors: 2001 - 2003: Stijn Vansummeren

   The MainBlockFactory class is a BlockFactory responsible for
   linking in-memory buffers to MainBlock java objects. More
   specifically, a MainBlockFactory is constructed with the schema the
   create MainBlocks should adhere to.

   $Id: MainBlockFactory.java,v 1.1.1.1 2005/09/26 08:19:41 stijn Exp $
   -------------------------------------------------------------------*/
package be.ulb.db.file;



import java.nio.ByteBuffer;

import be.ulb.db.Block;
import be.ulb.db.BlockAddress;
import be.ulb.db.BlockFactory;
import be.ulb.db.schema.Schema;

public class MainBlockFactory extends BlockFactory
{
    Schema recordSchema;
    
    public MainBlockFactory(Schema recordSchema)
    {
	this.recordSchema = recordSchema;
    }

    public Block create(ByteBuffer buff, BlockAddress addr)
    {
	return new MainBlock(recordSchema, buff, addr);
    }
}
