package be.ulb.db.index.btree;

import java.nio.ByteBuffer;

import be.ulb.db.Block;
import be.ulb.db.BlockAddress;
import be.ulb.db.BlockFactory;
import be.ulb.db.buffermanager.BufferManager;
import be.ulb.db.schema.Schema;

public class BTIndexContainerFactory extends BlockFactory {
    Schema recordSchema;
    BufferManager bm;

    public BTIndexContainerFactory(Schema recordSchema, BufferManager bm) {
        this.recordSchema = recordSchema;
        this.bm = bm;
    }

    public Block create(ByteBuffer buff, BlockAddress addr) {
        return new BTIndexContainer(recordSchema, buff, addr, bm);
    }
}
